{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":437,"path":"api-reference/rest-api-explorer/t_DefineAvailableQueryParameters.md","title":"Define available query parameters","bundle":null,"doc_type":null,"release":"australia","body":"\n# Define available query parameters\n\nDefine available query parameters to control what values a requesting user can pass in the request URI.\n\n## Before you begin\n\nRole required: web\\_service\\_admin\n\n## About this task\n\nThe following procedure describes the process for manually defining query parameters for a scripted REST API service. For details about automatically generating query parameters for requests in non-production instances, see [Automatically generate API request definitions](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/autogenerate-api-request-definitions.md).\n\n## Procedure\n\n1.  Navigate to **All** &gt; **System Web Services** &gt; **Scripted REST APIs**.\n\n2.  Select a scripted REST API record.\n\n3.  In the **Query Parameters** related list, select **New**.\n\n4.  Specify the **Query parameter name**.\n\n5.  Enter a **Short description** and **Example value** to explain how to use the parameter.\n\n6.  Select **Submit**.\n\n7.  From the Query Parameters tab, locate the query parameter and set **Is required** to \"true\" to document this query parameter as required.\n\n    **Note:** If you set **Is required** to \"true\", the scripted REST service doesn't enforce requiring the parameter. To enforce requiring a query parameter, you must add logic to the scripted REST API resource that rejects requests that are missing the required parameters.\n\n\n## What to do next\n\nAfter defining available query parameters, associate the parameters to a scripted REST resource. For details, see [Associate query parameters with a resource](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/AssocQueryParmResource.md).\n\n**Parent Topic:**[Create a scripted REST API](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/api-reference/rest-api-explorer/t_CreateAScriptedRESTService.md)\n\n"}}